Skip to main content

Update a folder

Update a folder in the workspace.
1 min read
patch/folders/{id}
Request example
Response
patch/folders/{id}

Authorization

Authorizationstringheaderrequired#
Default authentication mechanism

Path parameters

idstringrequired#
The ID of the folder to update.

Body

application/json
namestring#
The name of the folder.

Length: max 190

descriptionstring#
The description of the folder.

Length: max 500

accessLevelenum<string>#
The access level of the folder within the workspace.
Options:writeread

Responses

application/json
The updated folder.
idstringrequired#
The unique ID of the folder.
namestringrequired#
The name of the folder.
descriptionstringrequired#
The description of the folder.
typeenum<string>required#
Options:defaultmega
accessLevelenum<string>required#
The workspace-level access level settings for the folder. Default is write which allows full access to the folder for all team members. The other options are read (view-only access) and null (no access) and are only available on Business plans and above.

Default: "write"

Options:writeread
createdAtstringrequired#
The date the folder was created.
updatedAtstringrequired#
The date the folder was updated.